#include <iostream.h>
#include <stdio.h>
#include <assert.h>

enum { MAX_N = 100 };

int main()
{
	// Find the primes using the sieve of Eratosthenes.
	bool prime[MAX_N + 1];
	int primes[MAX_N + 1], nPrimes = 0;
	int i, j, n;
	for (i = 0; i <= MAX_N; i++) prime[i] = true;
	for (i = 2; i <= MAX_N; i++) if (prime[i])
	{
		primes[nPrimes++] = i;
		for (j = i + i; j <= MAX_N; j += i) 
			prime[j] = false;
	}

	// Find the factorization of numbers 2!..MAX_N!.
	int factors[MAX_N + 1][MAX_N + 1];
	for (i = 0; i < nPrimes; i++) factors[1][i] = 0;
	for (n = 2; n <= MAX_N; n++)
	{
		j = n;
		for (i = 0; i < nPrimes; i++)
		{
			factors[n][i] = factors[n - 1][i];
			while (j % primes[i] == 0) 
				factors[n][i]++, j /= primes[i];
		}
		assert(j == 1);
	}

	for ( ; ; )
	{
		int n; cin >> n;
		if (n <= 0) break;
		char buf[17 * 3 + 1], *p;
		p = buf;
		sprintf(p, "%3d! =", n); p += 6;
		int m = 0;
		for (i = 0; i < nPrimes; i++) if (factors[n][i] > 0)
		{
			sprintf(p, "%3d", factors[n][i]); p += 3; m++;
			if (m % 15 == 0 || i == nPrimes - 1 || factors[n][i + 1] == 0)
			{
				*p = 0; if (m > 15) cout << "      ";
				cout << buf << endl; p = buf;
			}
		}
	}
	return 0;
}