#include <stdio.h>

int categ[] = { 2, 0,  1,  2,      0,       1,       2,       0 };
int times[] = { 0, 8, 18, 22, 24 + 8, 24 + 18, 24 + 22, 24 + 24 };

const int ncat = sizeof(times) / sizeof(times[0]);

double rate[][3] = {
   0.10,    0.06,    0.02,
   0.25,    0.15,    0.05,
   0.53,    0.33,    0.13,
   0.87,    0.47,    0.17,
   1.44,    0.80,    0.30,
};


void ShowUse(int start, int end, int ct[])
{
   int i, dt;

   if ( start > end ) end += 24 * 60;

   ct[0] = ct[1] = ct[2] = 0;

   while ( start < end ) {
      for ( i = 0; i < ncat - 1; i++ ) {
         if ( times[i] <= start && start < times[i + 1] ) {
            if ( times[i + 1] <= end ) dt = times[i + 1] - start;
               else dt = end - start;
            ct[categ[i]] += dt;
            start += dt;
            continue;
         }
      }
   }
}

int main()
{
   int i, sh, sm, eh, em, ct[3];
   char num[30], type;

   for ( i = 0; i < ncat; i++ ) times[i] *= 60;

   while ( 1 ) {
      scanf(" %c", &type);
      if ( type == '#' ) break;
      scanf(" %s %d %d %d %d", num, &sh, &sm, &eh, &em);

      ShowUse(sh * 60 + sm, eh * 60 + em, ct);

      double price = rate[type - 'A'][0] * ct[0] +
                     rate[type - 'A'][1] * ct[1] +
                     rate[type - 'A'][2] * ct[2];
      printf("%s %d %d %d %c %.2f\n", num, ct[0], ct[1], ct[2], type, price);
   }
   return 0;
}
